Skip to content

Send member OTP

POST
/api/v2.0/stores/{storeId}/members/{memberId}/otp
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "example" }'

Sends an OTP code to the member’s phone, associated with a specific action (e.g., reset-phone, change-email, etc.). Mind that nothing else than the otp sending is done in this endpoint, regardless of the action.

storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX
object
action
string
nullable
Examplegenerated
{
"action": "example"
}

OK

Media typeapplication/json
object
is_ok
boolean
details
string
nullable
Examplegenerated
{
"is_ok": true,
"details": "example"
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}